Page MenuHomePhabricator

abuse filter matching global_user_groups doesn't work any more
Closed, ResolvedPublic

Description

At Commons there is:

("otrs-member" in global_user_groups)

as part of abuse filter 69, which appears not to work any more since around today, 24 Sep 2020.

This causes additional pain to OTRS volunteers and makes some scripts unuseable. If it is a general issue, other things may be broken as well on different wikis.

The abuse filter hasn't been changed for months, so it must be anything else. There are several OTRS users affected per the filter log.

Event Timeline

Krd created this task.Sep 24 2020, 1:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2020, 1:34 PM
Urbanecm triaged this task as Unbreak Now! priority.Sep 24 2020, 2:32 PM
Urbanecm added a subscriber: Urbanecm.

I just checked, and it was caused in wmf.10. Making a blocker until it is triaged, so we don't break AbuseFilter everywhere.

DannyS712 added a subscriber: DannyS712.

Change 629695 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/AbuseFilter@master] HookRunner: onAbuseFilterGenerateUserVars should run generateUserVars

https://gerrit.wikimedia.org/r/629695

dancy added a subscriber: dancy.Sep 24 2020, 3:03 PM

Change 629695 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] HookRunner: onAbuseFilterGenerateUserVars should run generateUserVars

https://gerrit.wikimedia.org/r/629695

Change 629521 had a related patch set uploaded (by Jforrester; owner: Urbanecm):
[mediawiki/extensions/AbuseFilter@wmf/1.36.0-wmf.10] HookRunner: onAbuseFilterGenerateUserVars should run generateUserVars

https://gerrit.wikimedia.org/r/629521

Urbanecm claimed this task.Sep 24 2020, 3:52 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 24 2020, 3:52 PM

Change 629521 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@wmf/1.36.0-wmf.10] HookRunner: onAbuseFilterGenerateUserVars should run generateUserVars

https://gerrit.wikimedia.org/r/629521

Mentioned in SAL (#wikimedia-operations) [2020-09-24T15:58:07Z] <urbanecm@deploy1001> Synchronized php-1.36.0-wmf.10/extensions/AbuseFilter/includes/Hooks/AbuseFilterHookRunner.php: 5e88c36fa4111cde33dafb0d7ac31a854b95e5ea: HookRunner: onAbuseFilterGenerateUserVars should run generateUserVars (T263750) (duration: 01m 06s)

Urbanecm closed this task as Resolved.Sep 24 2020, 4:04 PM

Just tested at Commons, works correctly. Closing.